=== debian/changelog ===
igstk (4.2.0-4) unstable; urgency=low

  [ Andreas Tille ]
  * debian/patches/gcc-4.5.patch (Closes: #565002)
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)

  [ Dominique Belhachemi ]
  * Added build dependency libqtwebkit-dev

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 14 Mar 2011 21:37:04 -0400

igstk (4.2.0-3) unstable; urgency=low

  [ Dominique Belhachemi ]
  * Link with --no-add-needed option (Closes: #554864)
  * Add build deps: libavcodec-dev, libavformat-dev, and libswscale-dev.
  * Remove FindOpenCV.cmake.
  * Tweak patches 90_examples.diff and 05_cvs20090823.diff.
  
  [ Steve M. Robbins ]
  * Add missing build dependencies for libgl2ps-dev, mpi-default-dev, and
    libmysqlclient-dev (Closes: #562299).
  * Add ${misc:Depends} to libigstk4-dev and igstk-examples.  Restore
    README.source.

 -- Steve M. Robbins <smr@debian.org>  Tue, 05 Jan 2010 21:08:29 -0600

igstk (4.2.0-2) unstable; urgency=low

  * Fixed link issue (Closes: #549799)
  * switch to quilt

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 07 Oct 2009 17:35:43 -0400

igstk (4.2.0-1) unstable; urgency=low

  * new release
  * upload to unstable

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 24 Aug 2009 15:12:48 -0400

igstk (4.2.0~cvs20090616-1) experimental; urgency=low

  * new upstream snapshot
  * soname bump
  * OpenIGTLink support enabled

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 11 Jun 2009 19:24:49 -0400

igstk (3.0.0~cvs20090203-1) experimental; urgency=low

  * new upstream snapshot
  * uses "dh_prep" now instead of "dh_clean -k"

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 04 Feb 2009 11:29:55 -0500

igstk (3.0.0~cvs20081223-2) unstable; urgency=low

  * debian/rules: removed duplicate configuration
  * debian/rules: fixed installation of Examples
  * debian/control: added new package : igstk-doc
  * debian/igstk-doc.doc-base: added

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 28 Dec 2008 19:11:43 -0500

igstk (3.0.0~cvs20081223-1) experimental; urgency=low

  * debian/libigstk3.symbols removed
  * ctest disabled

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 23 Dec 2008 18:43:29 -0500

igstk (3.0.0~cvs20081217-1) experimental; urgency=low

  * new upstream snapshot

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 18 Dec 2008 14:13:24 -0500

igstk (3.0.0~cvs20080716-1) unstable; urgency=low

  * Initial release (Closes: #490627)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 24 Jun 2008 20:51:56 +0200
