=== debian/control ===
Source: igstk
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Dominique Belhachemi <domibel@cs.tu-berlin.de>, Steve M. Robbins <smr@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), quilt, cmake, libinsighttoolkit3-dev (>= 3.16), libvtk5-dev,
 zlib1g-dev, libfreetype6-dev, libxext-dev, libpng-dev, libjpeg-dev, libtiff-dev,
 libexpat1-dev, libqt4-dev, libvtk5-qt4-dev, libfltk1.1-dev, fluid, uuid-dev,
 libxss-dev, libxft-dev, libopenigtlink1-dev, libgdcm2-dev, libssl-dev, libopenjpeg-dev,
 libavcodec-dev, libavformat-dev, libswscale-dev, libgl2ps-dev, mpi-default-dev, libmysqlclient-dev,
 libqtwebkit-dev [ia64 sparc i386 amd64] 
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/igstk/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/igstk/trunk/
Section: libs
Homepage: http://www.igstk.org


Package: libigstk4-dev
Section: libdevel
Architecture: any
Depends: libigstk4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libinsighttoolkit3-dev, libvtk5-dev
Suggests: libqt4-dev, libvtk5-qt4-dev, libfltk1.1-dev
Description: Toolkit for image-guided surgery applications - development
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains the development files needed to build
 your own IGSTK applications.


Package: libigstk4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Toolkit for image-guided surgery applications - runtime
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 .
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.


Package: igstk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Toolkit for image-guided surgery applications - documentation
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 .
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains documentation files for IGstk.


Package: igstk-examples
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libigstk4-dev
Description: Toolkit for image-guided surgery applications - examples
 The Image-Guided Surgery Toolkit (IGstk: pronounced IGStick) is a
 high-level component-based framework providing common functionality
 for image-guided surgery applications.
 .
 This software framework consists of a set of high-level components
 integrated with other low-level open source software libraries and
 application programming interfaces (API) from hardware vendors.
 .
 The cornerstone of IGstk is robustness. IGstk provides the following
 high-level functionality:
 Ability to read and display medical images including CT and MRI in
 DICOM format.
 An interface to common tracking hardware (e.g. AURORA from
 Northern Digital Inc.). A graphical user interface and visualization
 capability including a four-quadrant view (axial, sagittal, coronal,
 and 3D) as well as a multi-slice axial view (from 1 by 1 to many by
 many such as 10 by 10).
 .
 Registration: point based registration and a means for selecting
 these points. Robust common internal software services for logging,
 exception-handling and problem resolution.
 .
 This package contains examples from the IGstk source.
